MACRO(GEN_BISON_FLEX parser_base)

SET(BISON_Y "${CMAKE_CURRENT_SOURCE_DIR}/${parser_base}.ypp")
SET(BISON_TAB_C "${CMAKE_CURRENT_BINARY_DIR}/${parser_base}.tab.cpp")

SET(FLEX_L "${CMAKE_CURRENT_SOURCE_DIR}/${parser_base}.lpp")
SET(FLEX_YY_C "${CMAKE_CURRENT_BINARY_DIR}/lex.yy.cpp")

ADD_CUSTOM_COMMAND(
		OUTPUT ${BISON_TAB_C}
		COMMAND
		bison -o ${BISON_TAB_C} -d ${BISON_Y}
		DEPENDS ${BISON_Y}
		)

ADD_CUSTOM_COMMAND(
		OUTPUT ${FLEX_YY_C}
		COMMAND
		flex  -o ${FLEX_YY_C} ${FLEX_L}
		DEPENDS ${FLEX_L}
		)

SET(BF_SOURCES ${BISON_TAB_C} ${FLEX_YY_C})
SET(BF_LIBS "l")

ENDMACRO(GEN_BISON_FLEX)
